# Uses of Interface
org.eclipse.equinox.p2.metadata.IVersionedId

Packages that use IVersionedId
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.query
Provides common classes for the query mechanism.

## Uses of IVersionedId in org.eclipse.equinox.p2.metadata

Subinterfaces of IVersionedId in org.eclipse.equinox.p2.metadata
Modifier and Type
Interface
Description
`interface`
`IArtifactKey`
Provide standardised artifact information to uniquely identify the corresponding bytes (perhaps not stored as a file).
`interface`
`IInstallableUnit`
An installable unit represents an atomic, indivisible unit of installable functionality in a provisioned system.
`interface`
`IInstallableUnitFragment`
Represents a fragment that contributes additional requirements, capabilities, and other properties to some host installable unit.
`interface`
`IInstallableUnitPatch`
An installable unit patch is an installable unit that alters the required capabilities of another installable unit.
Classes in org.eclipse.equinox.p2.metadata that implement IVersionedId
Modifier and Type
Class
Description
`class`
`VersionedId`
An object representing a (id,version) pair.
Methods in org.eclipse.equinox.p2.metadata that return IVersionedId
Modifier and Type
Method
Description
`static IVersionedId`
VersionedId.`parse(String spec)`
Creates and returns a new `VersionedId` from the given string specification.

## Uses of IVersionedId in org.eclipse.equinox.p2.operations

Method parameters in org.eclipse.equinox.p2.operations with type arguments of type IVersionedId
Modifier and Type
Method
Description
`InstallOperation`
OperationFactory.`createInstallOperation(Collection<? extends IVersionedId> toInstall, Collection<URI> repos, IProgressMonitor monitor)`
This factory method creates an `InstallOperation` to install all the elements listed from the specified repositories.
`SynchronizeOperation`
OperationFactory.`createSynchronizeOperation(Collection<? extends IVersionedId> toInstall, Collection<URI> repos, IProgressMonitor monitor)`
This factory method creates an `SynchronizeOperation` that will cause the current installation to exclusively contain the elements listed once executed.
`UninstallOperation`
OperationFactory.`createUninstallOperation(Collection<? extends IVersionedId> toUninstall, Collection<URI> repos, IProgressMonitor monitor)`
Create an `UninstallOperation` that will uninstall the listed elements from the running instance.
`UpdateOperation`
OperationFactory.`createUpdateOperation(Collection<? extends IVersionedId> toUpdate, Collection<URI> repos, IProgressMonitor monitor)`
Create an `UpdateOperation` that will update the elements specified.

## Uses of IVersionedId in org.eclipse.equinox.p2.query

Methods in org.eclipse.equinox.p2.query with type parameters of type IVersionedId
Modifier and Type
Method
Description
`static <T extends IVersionedId>
IQuery<T>`
QueryUtil.`createLatestQuery(IQuery<T> query)`
Creates a query that returns the latest version for each unique id of an `IVersionedId` from the collection produced by `query`.
Methods in org.eclipse.equinox.p2.query with parameters of type IVersionedId
Modifier and Type
Method
Description
`static IQuery<IInstallableUnit>`
QueryUtil.`createIUQuery(IVersionedId versionedId)`
Creates a query that will match any `IInstallableUnit` with the given id and version.